summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev[@]gmail.com>2010-05-12 17:44:19 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:44:19 +0200
commit550e43e6a6df73bd0533a58b0a470c847f93fd2a (patch)
treed38813eb905a2a008a84f76d59210c33c20973a9 /network
parent49ccd61bf27aeb8dbfddabd4e96b692705905074 (diff)
downloadslackbuilds-550e43e6a6df73bd0533a58b0a470c847f93fd2a.tar.gz
slackbuilds-550e43e6a6df73bd0533a58b0a470c847f93fd2a.tar.xz
network/transmission: Updated for version 1.52
Diffstat (limited to 'network')
-rw-r--r--network/transmission/doinst.sh3
-rw-r--r--network/transmission/slack-desc2
-rw-r--r--network/transmission/transmission.SlackBuild16
-rw-r--r--network/transmission/transmission.info8
4 files changed, 20 insertions, 9 deletions
diff --git a/network/transmission/doinst.sh b/network/transmission/doinst.sh
new file mode 100644
index 0000000000..0039459a06
--- /dev/null
+++ b/network/transmission/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/network/transmission/slack-desc b/network/transmission/slack-desc
index 2ae752cb15..df14432368 100644
--- a/network/transmission/slack-desc
+++ b/network/transmission/slack-desc
@@ -12,7 +12,7 @@ transmission: Transmission is a lightweight open source BitTorrent client,
transmission: providing useful functionality without feature bloat.
transmission: It consists of a daemon, a GTK+ and a CLI client.
transmission:
-transmission: http://transmission.m0k.org/
+transmission: http://transmissionbt.com/
transmission:
transmission:
transmission:
diff --git a/network/transmission/transmission.SlackBuild b/network/transmission/transmission.SlackBuild
index 02c579bf17..ff34c1745a 100644
--- a/network/transmission/transmission.SlackBuild
+++ b/network/transmission/transmission.SlackBuild
@@ -1,10 +1,11 @@
#!/bin/sh
# Slackware build script for transmission
+
# Written by Iskar Enev <iskar.enev[@]gmail.com>
PRGNAM=transmission
-VERSION=1.34
+VERSION=1.52
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,7 +35,11 @@ mkdir -p $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -52,8 +57,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -67,6 +74,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/transmission/transmission.info b/network/transmission/transmission.info
index acc6d18092..a6817d0c1e 100644
--- a/network/transmission/transmission.info
+++ b/network/transmission/transmission.info
@@ -1,8 +1,8 @@
PRGNAM="transmission"
-VERSION="1.34"
+VERSION="1.52"
HOMEPAGE="http://www.transmissionbt.com/"
-DOWNLOAD="http://download.m0k.org/transmission/files/transmission-1.34.tar.bz2"
-MD5SUM="c4ef93639bcb895c1b3d279b2f4e27b3"
+DOWNLOAD="http://download.m0k.org/transmission/files/transmission-1.52.tar.bz2"
+MD5SUM="2a1a628c2a8872934575cb4351bca291"
MAINTAINER="Iskar Enev"
EMAIL="<iskar.enev[@]gmail.com>"
-APPROVED="David Somero"
+APPROVED="dsomero"